Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.aspectj.weaver.tools
Class AbstractTrace

    java.lang.Object
      org.aspectj.weaver.tools.AbstractTrace

All Implemented Interfaces:
  Trace

Direct Known Subclasses:
  CommonsTrace, DefaultTrace

    public abstract class AbstractTrace

extends java.lang.Object
implements Trace

Field Summary
`protected java.lang.Class` | `tracedClass`

Constructor Summary
`protected` | `AbstractTrace(java.lang.Class clazz)`

Method Summary
`void` | `enter(java.lang.String methodName)`
`abstract void` | `enter(java.lang.String methodName, java.lang.Object thiz)`
`void` | `enter(java.lang.String methodName, java.lang.Object thiz, boolean z)`
`void` | `enter(java.lang.String methodName, java.lang.Object thiz, java.lang.Object arg)`
`abstract void` | `enter(java.lang.String methodName, java.lang.Object thiz, java.lang.Object[] args)`
`void` | `error(java.lang.String message)`
`void` | `event(java.lang.String methodName, java.lang.Object thiz, java.lang.Object arg)`
`void` | `exit(java.lang.String methodName, boolean b)`
`void` | `exit(java.lang.String methodName, int i)`
`abstract void` | `exit(java.lang.String methodName, java.lang.Object ret)`
`abstract void` | `exit(java.lang.String methodName, java.lang.Throwable th)`
`void` | `fatal(java.lang.String message)`
`protected java.lang.String` | `formatArgs(java.lang.Object[] args)` Format arguments into a comma separated list
`protected java.lang.String` | `formatArray(java.lang.Object obj)`
`protected java.lang.String` | `formatCollection(java.util.Collection c)`
`protected java.lang.String` | `formatMessage(java.lang.String kind, java.lang.String className, java.lang.String methodName, java.lang.Object thiz, java.lang.Object[] args)`
`protected java.lang.String` | `formatMessage(java.lang.String kind, java.lang.String text, java.lang.Throwable th)`
`protected java.lang.Object` | `formatObj(java.lang.Object obj)` Format objects safely avoiding toString which can cause recursion, NullPointerExceptions or highly verbose results.
`protected java.lang.Object[]` | `formatObjects(java.lang.Object[] args)`
`void` | `warn(java.lang.String message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.aspectj.weaver.tools.Trace
`debug, error, event, event, exit, fatal, info, isTraceEnabled, setTraceEnabled, warn`

Field Detail

### tracedClass

    protected java.lang.Class tracedClass

Constructor Detail

### AbstractTrace

    protected AbstractTrace(java.lang.Class clazz)

Method Detail

### enter

    public abstract void enter(java.lang.String methodName,
                               java.lang.Object thiz,
                               java.lang.Object[] args)

  Specified by:
    `enter` in interface `Trace`

### enter

    public abstract void enter(java.lang.String methodName,
                               java.lang.Object thiz)

  Specified by:
    `enter` in interface `Trace`

### exit

    public abstract void exit(java.lang.String methodName,
                              java.lang.Object ret)

  Specified by:
    `exit` in interface `Trace`

### exit

    public abstract void exit(java.lang.String methodName,
                              java.lang.Throwable th)

  Specified by:
    `exit` in interface `Trace`

### enter

    public void enter(java.lang.String methodName)

### enter

    public void enter(java.lang.String methodName,
                      java.lang.Object thiz,
                      java.lang.Object arg)

  Specified by:
    `enter` in interface `Trace`

### enter

    public void enter(java.lang.String methodName,
                      java.lang.Object thiz,
                      boolean z)

  Specified by:
    `enter` in interface `Trace`

### exit

    public void exit(java.lang.String methodName,
                     boolean b)

  Specified by:
    `exit` in interface `Trace`

### exit

    public void exit(java.lang.String methodName,
                     int i)

  Specified by:
    `exit` in interface `Trace`

### event

    public void event(java.lang.String methodName,
                      java.lang.Object thiz,
                      java.lang.Object arg)

  Specified by:
    `event` in interface `Trace`

### warn

    public void warn(java.lang.String message)

  Specified by:
    `warn` in interface `Trace`

### error

    public void error(java.lang.String message)

  Specified by:
    `error` in interface `Trace`

### fatal

    public void fatal(java.lang.String message)

  Specified by:
    `fatal` in interface `Trace`

### formatMessage

    protected java.lang.String formatMessage(java.lang.String kind,
                                             java.lang.String className,
                                             java.lang.String methodName,
                                             java.lang.Object thiz,
                                             java.lang.Object[] args)

### formatMessage

    protected java.lang.String formatMessage(java.lang.String kind,
                                             java.lang.String text,
                                             java.lang.Throwable th)

### formatObj

    protected java.lang.Object formatObj(java.lang.Object obj)

  Format objects safely avoiding toString which can cause recursion, NullPointerExceptions or highly verbose results.

  Parameters:
    `obj` - parameter to be formatted
  Returns:
    the formated parameter

### formatArray

    protected java.lang.String formatArray(java.lang.Object obj)

### formatCollection

    protected java.lang.String formatCollection(java.util.Collection c)

### formatArgs

    protected java.lang.String formatArgs(java.lang.Object[] args)

  Format arguments into a comma separated list

  Parameters:
    `names` - array of argument names
    `args` - array of arguments
  Returns:
    the formated list

### formatObjects

    protected java.lang.Object[] formatObjects(java.lang.Object[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD